Update a List of Element Localizations

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "iFormBuilder V60 MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/iformbuilder-v60/mcp"
  }
}

Close
PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations

Headers

  • Authorization string

    e.g. Bearer {access_token}

Path parameters

  • profile_id string Required

    id of the profile

  • page_id number Required

    id of the page

  • element_id number Required

    id of the element

Query parameters

  • fields string

    extra information of each element localization on the list

  • limit number

    maximum count of the element localization list

  • offset number

    skip that many element localization before beginning to return

application/json

Body

  • language_code string
  • label string

Responses

  • 200 application/json

    OK

    Hide response attribute Show response attribute object
    • language_code string Required

      the updated language code

PUT /profiles/{profile_id}/pages/{page_id}/elements/{element_id}/localizations
curl \
 --request PUT 'https://servername.iformbuilder.com/exzact/api/v60/profiles/self/pages/{page_id}/elements/{element_id}/localizations' \
 --header "Content-Type: application/json" \
 --header "Authorization: Bearer {access_token}" \
 --data '[
  {
    "language_code": "zh-hans",
    "label": "检查人员"
  },
  {
    "language_code": "zh-hant",
    "label": "檢查人員"
  }
]'
Request example
[
  {
    "language_code": "zh-hans",
    "label": "检查人员"
  },
  {
    "language_code": "zh-hant",
    "label": "檢查人員"
  }
]
Response examples (200)
[
  {
    "language_code": "zh-hans"
  },
  {
    "language_code": "zh-hant"
  }
]